# lyr_freetype.h File Reference

Header file for implementation of the "Text" layer. More...

`#include <synfig/layer_composite.h>`
`#include <synfig/vector.h>`
`#include <synfig/color.h>`
`#include <synfig/string.h>`
`#include <ft2build.h>`
`#include <vector>`
`#include <synfig/time.h>`
`#include <synfig/context.h>`
`#include <synfig/paramdesc.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/surface.h>`
`#include <synfig/value.h>`
`#include <synfig/valuenode.h>`
`#include <synfig/canvas.h>`
`#include <ETL/misc>`

Go to the source code of this file.

## Classes

struct | Glyph
struct | TextLine
class | Layer_Freetype

## Variables

FT_Library | ft_library

## Detailed Description

Header file for implementation of the "Text" layer.

$Id$

=== N O T E S ===========================================================

=========================================================================

## Variable Documentation

FT_Library ft_library

Referenced by freetype_constructor().